Package ru.bitel.bgbilling.modules.mps.server.events

# Class MPSBeforePaymentEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.modules.mps.server.events.MPSBeforePaymentEvent

All Implemented Interfaces:
  `Serializable`, `ErrorReturnableEvent`

public class MPSBeforePaymentEvent extends ru.bitel.bgbilling.kernel.event.common.LocalEvent
Синхронное событие, которое вызывается перед добавлением платежа в модуле MPS. В обработчике события возможно изменение суммы и типа платежа.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MPSBeforePaymentEvent(int moduleId, BigDecimal sum)`
  `MPSBeforePaymentEvent(int moduleId, BigDecimal sum, int paymentType)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BigDecimal`
  `getPaymentSum()`
  Получение суммы платежа в виде 123.45
  `int`
  `getPaymentType()`
  `void`
  `setPaymentSum(BigDecimal paymentSum)`
  Установка суммы платежа.
  `void`
  `setPaymentType(int paymentType)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.LocalEvent

  `getError, setError`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MPSBeforePaymentEvent

    public MPSBeforePaymentEvent(int moduleId, BigDecimal sum)

  - ### MPSBeforePaymentEvent

    public MPSBeforePaymentEvent(int moduleId, BigDecimal sum, int paymentType)

- ## Method Details

  - ### getPaymentSum

    public BigDecimal getPaymentSum()
    Получение суммы платежа в виде 123.45
    Returns:
      сумма платжа

  - ### setPaymentSum

    public void setPaymentSum(BigDecimal paymentSum)
    Установка суммы платежа.
    Parameters:
      `paymentSum` - измененная сумма платежа

  - ### getPaymentType

    public int getPaymentType()

  - ### setPaymentType

    public void setPaymentType(int paymentType)